<?php
namespace app\cms\controller;

use app\common\controller\Front;

class Tag extends Front
{

    public function _initialize()
    {
        //请求验证
        if( !cmsRequestCheck($this->request->ip(),$this->request->header('user-agent')) ){
            $this->error(lang('cms_error_rest'), 'cms/index/index');
        }
        parent::_initialize();
    }
    
    public function index()
    {
        //查询数据
        $term = $this->detail();
        //变量赋值
        $this->assign($term);
        //自定义模板
        if($term['term_tpl']){
            return $this->fetch($term['term_tpl']);
        }
        //默认加载
        return $this->fetch();
    }
    
    //空操作
    public function _empty($action='')
    {
        //扩展开关
        if(!config('cms.action_name')){
            $this->error(lang('cms_error_params'));
        }
        //允许的操作名
        if(!in_array($action,explode(',',config('cms.action_name')))){
            $this->error(lang('cms_error_params'));
        }
        //查询数据
        $term = $this->detail();
        //变量赋值
        $this->assign($term);
        //自定义模板
        if($term['term_tpl']){
            return $this->fetch($term['term_tpl']);
        }
        //默认加载
        return $this->fetch();
    }
    
    //公共
    private function detail()
    {
        if( isset($this->query['id']) ){
            $term = cmsTagId($this->query['id']);
        }elseif( isset($this->query['slug']) ){
            $term= cmsTagSlug($this->query['slug']);
        }elseif( isset($this->query['name']) ){
            $term = cmsTagName($this->query['name']);
        }else{
            $this->error(lang('cms_error_params'),'cms/index/index');
        }
        //数据为空
        if(!$term){
            $this->error(lang('cms_error_empty'),'cms/index/index');
        }
        //分页路径
        $term['pagePath']   = cmsUrlTag($term,'[PAGE]');
        //地址栏
        $term['pageSize']   = intval(config('cms.limit_tag'));
        $term['pageNumber'] = $this->site['page'];
        $term['sortName']   = 'info_order desc,info_update_time';
        $term['sortOrder']  = 'desc';
        //SEO标签
        $term['seoTitle'] = cmsSeo(DcEmpty($term['term_title'],$term['term_name']),$this->site['page']);
        $term['seoKeywords'] = cmsSeo(DcEmpty($term['term_keywords'],$term['term_name']),$this->site['page']);
        $term['seoDescription'] = cmsSeo(DcEmpty($term['term_description'],$term['term_name']),$this->site['page']);
        //自定义分页
        if($term['term_limit'] >= '0'){
            $term['pageSize'] = $term['term_limit'];
        }
        //数据列表
        if($term['pageSize']){
            $item = cmsSelect([
                'cache'   => true,
                'status'  =>'normal',
                'limit'   => $term['pageSize'],
                'page'    => $term['pageNumber'],
                'sort'    => $term['sortName'],
                'order'   => $term['sortOrder'],
                'term_id' => $term['term_id'],
            ]);
            if($item){
                $this->assign($item);
            }
        }
        //返回结果
        return $term;
    }
}